Table of Contents

What's Changed


GET /Modules/AMPC/StandardTasks/Spares/{id}
Return Type:

Changed response : 200 OK

Success response - body contains Standard Task Spare

  • Changed content type : application/vnd.onkey.entity+json

    • Changed property properties (object)

      • Added property materialMasterCommodityId (integer)

      • Added property materialMasterCommodityCode (string)

      • Added property materialMasterCommodityDescription (string)

      • Deleted property commodityId (integer)

      • Deleted property commodityCode (string)

      • Deleted property commodityDescription (string)

GET /Modules/AMPC/StandardTasks/{id}/Spares
Return Type:

Changed response : 200 OK

Success response - body contains pageable Standard Task Spare collection

  • Changed content type : application/vnd.onkey.entitycollectionpage+json

    • Changed property items (array)

      Pageable collection of entities

      Changed items (object):

      • Changed property properties (object)

        • Added property materialMasterCommodityId (integer)

        • Added property materialMasterCommodityCode (string)

        • Added property materialMasterCommodityDescription (string)

        • Deleted property commodityId (integer)

        • Deleted property commodityCode (string)

        • Deleted property commodityDescription (string)

POST /Modules/AMPC/StandardTasks/Spares
Request:

Changed content type : application/vnd.onkey.entity+json

  • Changed property properties (object)

    • Deleted property commodityId (integer)
GET /Modules/AMPC/StandardTasks/Spares
Return Type:

Changed response : 200 OK

Success response - body contains pageable Standard Task Spare collection

  • Changed content type : application/vnd.onkey.entitycollectionpage+json

    • Changed property items (array)

      Pageable collection of entities

      Changed items (object):

      • Changed property properties (object)

        • Added property materialMasterCommodityId (integer)

        • Added property materialMasterCommodityCode (string)

        • Added property materialMasterCommodityDescription (string)

        • Deleted property commodityId (integer)

        • Deleted property commodityCode (string)

        • Deleted property commodityDescription (string)

GET /Modules/AMPC/StandardTasks/Spares/Batch/{ids}
Return Type:

Changed response : 200 OK

Success response - body contains Standard Task Spare collection

  • Changed content type : application/vnd.onkey.entitycollection+json

    • Changed property items (array)

      Collection of Standard Task Spare entities

      Changed items (object):

      • Changed property properties (object)

        • Added property materialMasterCommodityId (integer)

        • Added property materialMasterCommodityCode (string)

        • Added property materialMasterCommodityDescription (string)

        • Deleted property commodityId (integer)

        • Deleted property commodityCode (string)

        • Deleted property commodityDescription (string)

POST /Modules/AMPC/StandardTasks/Spares/Batch
Request:

Changed content type : application/vnd.onkey.entitycollection+json

Changed items (object):

  • Changed property properties (object)

    • Deleted property commodityId (integer)